View a markdown version of this page

StartPentestJob - AWS Security Agent

StartPentestJob

Starts a new pentest job for a pentest configuration. The job executes the security tests defined in the pentest.

Request Syntax

POST /StartPentestJob HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "jobType": "string", "pentestId": "string", "selectedFindingIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space.

Type: String

Required: Yes

jobType

The type of pentest job to start. Valid values are FULL and REVALIDATION. When set to REVALIDATION, the selectedFindingIds parameter is required.

Type: String

Valid Values: FULL | REVALIDATION

Required: No

pentestId

The unique identifier of the pentest to start a job for.

Type: String

Required: Yes

selectedFindingIds

The list of finding identifiers to revalidate. Required when jobType is REVALIDATION. Each finding must belong to the same agent space and pentest.

Type: Array of strings

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "agentSpaceId": "string", "createdAt": "string", "pentestId": "string", "pentestJobId": "string", "status": "string", "title": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

agentSpaceId

The unique identifier of the agent space.

Type: String

createdAt

The date and time the pentest job was created, in UTC format.

Type: Timestamp

pentestId

The unique identifier of the pentest.

Type: String

pentestJobId

The unique identifier of the started pentest job.

Type: String

status

The current status of the pentest job.

Type: String

Valid Values: IN_PROGRESS | STOPPING | STOPPED | FAILED | COMPLETED

title

The title of the pentest job.

Type: String

updatedAt

The date and time the pentest job was last updated, in UTC format.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: